<ion-view title="Create Conference" ng-controller="scheduleAddCtrl as addCtrl">

  <div class="container" style="padding-top: 50px">

    <div class="row">
      <div class="col-sm-12">
        <h4>{{addCtrl.type}} General Info:</h4>
        <hr>
        <form name="sessionForm" class="form-horizontal" ng-submit="addCtrl.add()" novalidate>

          <div class="form-group">
            <label class="col-sm-2 control-label">Name:</label>
            <div class="col-sm-10">
              <input type="text"
                     name="name"
                     class="form-control"
                     ng-model="addCtrl.formData.name"
                     placeholder="{{addCtrl.type}} name" required>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Day:</label>
            <div class="col-sm-10">
              <label class="radio-inline" ng-repeat="day in addCtrl.days">
                <input type="radio" name="day" id="optionsRadios1" ng-model="addCtrl.formData.day" ng-value="{{day.value}}" required>
                {{day.text}}
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Start At:</label>
            <div class="col-sm-10">
              <input type="text" name="start" class="form-control" ng-model="addCtrl.formData.start" placeholder="15:00" required>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">End At:</label>
            <div class="col-sm-10">
              <input type="text" name="end" class="form-control" ng-model="addCtrl.formData.end" placeholder="16:00" required>
            </div>
          </div>

          <div class="form-group" ng-if=" addCtrl.type == 'Conference'">
            <label class="col-sm-2 control-label">Description:</label>
            <div class="col-sm-10">
              <text-angular ng-model="addCtrl.formData.description"></text-angular>
            </div>
          </div>

          <!-- button -->
          <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
              <button type="submit" class="btn btn-success" ng-disabled="sessionForm.$invalid">Create {{addCtrl.type}}</button>
            </div>
          </div>

        </form>

      </div><!-- /.col -->
    </div><!-- /.row -->

  </div><!-- /.container -->
</ion-view>
